Displaying 20 results from an estimated 29 matches for "oknodo".
Did you mean:
mknod
2006 Jul 18
1
startup script
Hi,
Could someone please post an example of a /etc/init.d/dovecot startup
script? (We use fedora core 5, if that makes any difference.)
Ours seems to be missing.
Cheers,
Pid
2014 Nov 21
3
Bug#770456: Please start a qemu process in domain 0.
...EMU_ARGS="-xen-domid 0 -xen-attach -name dom0 -nographic -M xenpv -daemonize -monitor /dev/null -serial /dev/null -parallel /dev/null"
modules_setup()
{
@@ -179,10 +182,65 @@ xenconsoled_stop_real()
[ "$RETVAL" = 2 ] && return 2
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec "$XENCONSOLED"
[ "$?" = 2 ] && return 2
- rm -f $PIDFILE
+ rm -f $XENCONSOLED_PIDFILE
return "$RETVAL"
}
+qemu_start()
+{
+ [ -x $QEMU ] || return 0
+ log_progress_msg "qemu"
+ qemu_start_real
+ return $?
+}
+
+qemu_s...
2016 Apr 02
2
Upgrading Samba 3 to Samba 4 - Domain Controller unreachable
On 02/04/16 20:59, Sonic wrote:
> On Sat, Apr 2, 2016 at 2:34 PM, Rowland penny <rpenny at samba.org> wrote:
>> On debian there is a script called samba in /etc/init.d , it starts smbd &
>> nmbd *or* samba, if it doesn't find 'server role = active directory domain
>> controller' in smb.conf , it doesn't try to start the samba deamon.
> Odd that
2014 Aug 15
1
ctdb event script 50.samba does not start smbd
...R
NMBD_DISABLED=`testparm -s --parameter-name='disable
netbios' 2>/dev/null`
if [ "$NMBD_DISABLED" != 'Yes' ]; then
log_progress_msg "nmbd"
if ! start-stop-daemon --start --quiet --oknodo
--exec /usr/local/samba/sbin/nmbd -- -D
then
log_end_msg 1
exit 1
fi
fi
if [ "$RUN_MODE" != "inetd" ]; then
log_pro...
2006 Mar 27
0
access share on machine running server again
...vironment
unset TMPDIR
# See if the daemons are there
test -x /usr/sbin/nmbd -a -x /usr/sbin/smbd || exit 0
. /lib/lsb/init-functions
case "$1" in
start)
log_begin_msg "Starting Samba daemons.."
if ! start-stop-daemon --start --quiet --oknodo
--exec /usr/sbin/nmbd -- -D; then
log_end_msg 1
exit 1
fi
if [ "$RUN_MODE" != "inetd" ]; then
if ! start-stop-daemon --start --quiet --oknodo
--exec /usr/sbin/smbd -- -D; t...
2019 Feb 12
2
[PATCH 08/13] xen init script: rewrite xenstored start logic
...-daemon --start --quiet --pidfile "$XENSTORED_PIDFILE" \
> + --exec "$try_xenstored" --test > /dev/null
> + if [ $? -eq 1 ]; then
> + return 1
This exit status handling is confusing. AFAICT from the manpage for
start-stop-daemon, exit status 1 means "--oknodo was not specified and
nothing was done". So I think that would occur when --start does
nothing because the daemon is already running. It might be worth
adding a comment.
> + if [ -n "$USER_XENSTORED" ]; then
> + if [ ! -x "$USER_XENSTORED" ]; then
> + log_fai...
2006 Sep 16
2
Error starting Samba
...fter I returned to my
old configuration. Here is the error I'm getting:
# /etc/init.d/samba restart
* Stopping Samba daemons... [ ok ]
* Starting Samba daemons... /etc/init.d/samba: line 25: 13064 Cancelado
start-stop-daemon --start --quiet --oknodo --exec /usr/sbin/smbd -- -D
[fail]
Anyone has any idea about what might be happening?
--
Diego Lima
http://sg.homelinux.com:81
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not availa...
2014 Nov 27
3
Bug#770456: Bug#770456: Please start a qemu process in domain 0.
...> +qemu_stop_real()
> > +{
> > + start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile "$QEMU_PIDFILE" --name xenconsoled
> > + RETVAL="$?"
> > + [ "$RETVAL" = 2 ] && return 2
> > + start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec "$QEMU"
> > + [ "$?" = 2 ] && return 2
> > + rm -f $QEMU_PIDFILE
> > + return "$RETVAL"
> > +}
> > +
> > +
>
> Not sure this already was handled but the --name argument of qemu_stop_real
>...
2016 Apr 02
0
Upgrading Samba 3 to Samba 4 - Domain Controller unreachable
...fi
log_daemon_msg "Starting Samba AD DC daemon" "samba"
# Make sure we have our PIDDIR, even if it's on a tmpfs
install -o root -g root -m 755 -d $PIDDIR
if ! start-stop-daemon --start --quiet --oknodo --exec
/usr/sbin/samba -- -D; then
log_end_msg 1
exit 1
fi
log_end_msg 0
;;
stop)
if init_is_upstart; then
exit 0
fi
log_d...
2014 Mar 24
0
Samba documentation feedback: installation guide for AD join
...NMBD_DISABLED=`testparm -s --parameter-name='disable netbios' 2>/dev/null`
# if [ "$NMBD_DISABLED" != 'Yes' ]; then
# log_progress_msg "nmbd"
# if ! start-stop-daemon --start --quiet --oknodo --exec /usr/local/samba/sbin/nmbd -- -D
# then
# log_end_msg 1
# exit 1
# fi
# fi
if [ "$RUN_MODE" != "inetd" ]; then
lo...
2014 Nov 27
0
Bug#770456: Bug#770456: Please start a qemu process in domain 0.
...return 2
> +}
> +
> +qemu_stop_real()
> +{
> + start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile "$QEMU_PIDFILE" --name xenconsoled
> + RETVAL="$?"
> + [ "$RETVAL" = 2 ] && return 2
> + start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec "$QEMU"
> + [ "$?" = 2 ] && return 2
> + rm -f $QEMU_PIDFILE
> + return "$RETVAL"
> +}
> +
> +
Not sure this already was handled but the --name argument of qemu_stop_real
seems a copy-and-paste bug. Playing with it...
2010 Oct 06
4
Starting Icecast as a service on CentOS
Hi All,
I've recently upgraded my hosting to a VPS running CentOS.
I'm trying to configure the VPS to launch Icecast as a service so that
Icecast starts if the virtual server reboots, or Icecast stops running.
I've found several scripts out there to place in my init.d folder, but
nothing seems to work for me as of yet.
Here is my Icecast2 setup:
Location=/usr/local/bin
2014 Nov 27
0
Bug#770456: Bug#770456: Please start a qemu process in domain 0.
...EMU_ARGS="-xen-domid 0 -xen-attach -name dom0 -nographic -M xenpv -daemonize -monitor /dev/null -serial /dev/null -parallel /dev/null"
modules_setup()
{
@@ -179,10 +182,65 @@ xenconsoled_stop_real()
[ "$RETVAL" = 2 ] && return 2
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec "$XENCONSOLED"
[ "$?" = 2 ] && return 2
- rm -f $PIDFILE
+ rm -f $XENCONSOLED_PIDFILE
return "$RETVAL"
}
+qemu_start()
+{
+ [ -x $QEMU ] || return 0
+ log_progress_msg "qemu"
+ qemu_start_real
+ return $?
+}
+
+qemu_s...
2006 Dec 07
8
Cluster restart leaving orphaned processes?
First off, a big thank you to Zed and the development team for
mongrel and mongrel cluster. I''ve deployed it for two apps (through
an apache 2.2 proxy) and it''s amazing how much snappier everything
is. Previously we were using lighttpd and lighttpd-fastcgi proxying
through apache 2.0, which was turning into a hassle for lots of
reasons, most notably the ruby fcgi
2015 Oct 05
3
Question Wiki Setup a Samba Active Directory Domain Controller
...log_daemon_msg "Starting NetBIOS name server" nmbd
# Make sure we have our PIDDIR, even if it's on a
tmpfs
install -o root -g root -m 755 -d $PIDDIR
if ! start-stop-daemon --start --quiet --oknodo
--exec /usr/sbin/nmbd -- -D
then
log_end_msg 1
exit 1
fi
log_end_msg 0
fi
;;
esac
exit 0
When I just start "/etc/init.d/samba-ad-dc start...
2005 Aug 05
1
starting asterisk with nice -5
Is there any script guru on the list that can help me.
I'm trying to start asterisk with nice -5.
Normally the command would be:
nice -5 asterisk
but asterisk start from the scrip on Gentoo as -U asterisk -G asterisk
Here is the script:
===============
depend() {
need net
use zaptel
}
start() {
local OPTS USER GROUP
if [[ -n "${ASTERISK_NICE}" ]];
2005 Dec 16
1
Re: Bug#343530: nut: logging to rrd database
2005/12/15, Alexander V. Inyukhin <shurick@sectorb.msk.ru>:
>
> Package: nut
> Version: 2.0.2-2
> Severity: wishlist
>
> Hello.
Hi Alexander,
I think it is a good idea to log ups variables to rrd
> database instead of log file. So, I create standalone
> rrd logger dervied from upslog nut client.
> Of course, this could be easily implemented using
> upsc or
2019 Feb 12
2
[PATCH 08/13] xen init script: rewrite xenstored start logic
...our own xenstored
> replacement implementation from /usr/local/ian/ixenstored ?
Right. Or a wrapper script or something (although s-s-d will
mishandle that).
> > This exit status handling is confusing. AFAICT from the manpage for
> > start-stop-daemon, exit status 1 means "--oknodo was not specified and
> > nothing was done". So I think that would occur when --start does
> > nothing because the daemon is already running. It might be worth
> > adding a comment.
>
> Using --start --pidfile --exec --test apparently both checks for pidfile
> and...
2014 Oct 12
2
Bug#764912: xen-utils-common: needs to apply SE Linux labels after creating directories in start script
...t;$XENCONSOLED_PIDFILE" \
|| return 2
}
xenconsoled_stop_real()
{
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile "$XENCONSOLED_PIDFILE" --name xenconsoled
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec "$XENCONSOLED"
[ "$?" = 2 ] && return 2
rm -f $PIDFILE
return "$RETVAL"
}
xenstored_start()
{
log_progress_msg "xenstored"
start-stop-daemon --start --quiet --pidfile "$XENSTORED_PIDFILE" --exec "$XENSTOR...
2010 Mar 23
4
Safe_asterisk doesn't exists???
Hello my friends,
I'm very worry about a problem i'm having...my asterisk got freez some
times, every 5 or 6 days with NO trace in /var/log/asterisk/messages
What i want to know is if safe_asterisk has something to be with this?
This is what i have on my server:
[root at mypbx ~]# ps -A | grep asterisk
9118 ? 00:01:30 asterisk
[root at dreampbx ~]# ps aux | grep asterisk
root